Subject: [netmod] leaf-list in YANG 1.1

From: "Bogaert, Bart (Nokia - BE/Antwerp)" <[email-masked]>
Date: Tue, 29 May 2018 00:56:29 +0000

Hi,

We have a question about the leaf-list in config-false data.  When comparing YANG 1.0 and YANG 1.1 the restriction on having unique values seems to have been lifted for config-false data:

  *   Section 7.7 RFC 7950: "In configuration data, the values in a leaf-list MUST be unique."
  *   Section 7.7 RFC 6020: "The values in a leaf-list MUST be unique.")

This means one can have multiple entries with the same value in a state leaf-list.  What is expected to happen when you delete an entry by specifying the value of the leaf-list entry and there happen to be multiple entries with the same value? Are all these entries deleted or is one expected to perform as many delete operations as there are entries matching the value specified in the delete operation?

Regards, Bart

---

From: Alex Campbell <[email-masked]>
Date: Tue, 29 May 2018 02:14:00 +0000

As far as I'm aware, state values are not writable by the client, so the question is moot.

Regards, Alex

________________________________
From: netmod <[email-masked]> on behalf of Bogaert, Bart (Nokia - BE/Antwerp) <[email-masked]>
Sent: Tuesday, 29 May 2018 12:56 p.m.
To: [email-masked]
Subject: [netmod] leaf-list in YANG 1.1

CAUTION: This email originated from outside of the organization. Do not click links or open attachments unless you recognize the sender and know the content is safe.

Hi,

Regards, Bart